<?
	$serviceType = isset($_GET['service_type']) ? $_GET['service_type'] : $_POST['service_type'];	
	if($serviceType == "") $serviceType = 1;

	
?>
<html>
<head>
<title>######## SYSTEM-HOSTING SERVICE STATUS ######## </title>
<STYLE type=text/css>
TD { FONT-SIZE: 9pt; COLOR: #000000; FONT-FAMILY: 'ARIAL,±¼¸²Ã¼'; TEXT-DECORATION: none; }
TR { FONT-SIZE: 9pt; COLOR: #000000; FONT-FAMILY: 'ARIAL,±¼¸²Ã¼'; TEXT-DECORATION: none; }
TABLE { FONT-SIZE: 9pt; COLOR: #000000; FONT-FAMILY: 'ARIAL,±¼¸²Ã¼'; TEXT-DECORATION: none; line-height : 120%}
INPUT { FONT-SIZE: 9pt; COLOR: #000000; FONT-FAMILY: 'ARIAL,±¼¸²Ã¼'; TEXT-DECORATION: none; line-height : 120%}
}
</STYLE>
<meta http-equiv="Cache-Control" content="no-cache"/> 
<meta http-equiv="Expires" content="0"/> 
<meta http-equiv="Pragma" content="no-cache"/> 
<link rel="stylesheet" href="clockstyle.css" type="text/css">
<style type="text/css">
#tooltip {position:absolute;
top:5;
left:5;
border:solid 3 ffccff;
background:ffffcc;
color:660066;
font-size:9pt;
width:580;
height:20;
padding:2;
overflow:hidden;
z-index:10;
display:none;
}
</style>
<? require "layer.js";?>
<script language="javascript1.2"  type="text/javascript" src="clock.js" ></script>
</head>

<body onLoad="UpdateClocks()">
<?

$sock = socket_create(AF_INET, SOCK_STREAM, 0); 


 $sock      = socket_create (AF_INET, SOCK_STREAM, SOL_TCP);
     socket_connect($sock, _IP, _PORT);
	     echo "CLIENT >> socket connect to "._IP.":"._PORT."\n";
		     $date = socket_read($sock, 4096);
			     echo "CLIENT >> this time is $date \n";
				     socket_close($sock);
					     echo "CLIENT >> socket closed.\n";
//socket_create() ;

$fp = @fsockopen("udp://{$server_addr[$i][0]}", $server_addr[$i][1], $errno, $errstr);
phpinfo();
exit;
?>
<form name="frm" action=<?=$_SERVER['PHP_SELF']?> method=POST>
	<input type="hidden" name="service_type" value="<?= $serviceType ?>">
<table border="0" cellspacing="0" width="100%">
  <tr bgcolor=#003366  class="ratNavText">
    <td ID="Clock0" width="25%" >   </td>
    <td ID="Clock1" width="25%" >   </td>
    <td ID="Clock2" width="25%" >   </td>
    <td ID="Clock3" width="25%" >   </td>
  </tr>
  <tr bgcolor=#003366 class="ratNavText">
    <td ID="Clock4" width="25%" >   </td>
    <td ID="Clock5" width="25%" >   </td>
    <td ID="Clock6" width="25%" >   </td>
    <td ID="Clock7" width="25%" >   </td>
  </tr>
</table>
<br>
<table border="0" cellspacing="1" width="530" align="center">
<tr align="center">
    <td> <h3>######## ICS STATUS ########<br>(222.122.136.110)</h3></td>
</tr>
</table>
<?php
require_once ("../inc/contact.html");
?>
<div id="tooltip" name="tooltip" width=400></div>
<?
/* <marquee id="tooltip" name="tooltip"></marquee>*/
	$server_addr[0][0] = "127.0.0.1";
	$server_addr[0][1] = "30001";
	$server_addr[0][2] = "KT-IDC";

	$tot = count($server_addr);
	//echo "total server :".$tot."<br>";
	for($i=0; $i < $tot; $i++){
		//echo "server_addr = ".$server_addr[$i][0]."<br>";
		//echo "server_port = ".$server_addr[$i][1]."<br>";
		if($i%3 == 0) echo "<table align=\"center\"><tr>";

		$fp = @fsockopen("udp://{$server_addr[$i][0]}", $server_addr[$i][1], $errno, $errstr);
		if (!$fp) {
			echo "ERROR: $errno - $errstr<br>\n";
			continue;
		} else {
			fwrite($fp,"GET_SERVSTATUS", 15);
			while(1) {
				$test2 = fread($fp, 2048);
				$test .= trim($test2);
				$j = strlen($test2);
				if($j < 1024) break;
			}
			fclose($fp);
		}
		//echo "Received Message Length : ".strlen($test);
		echo "<!-- TEST : $test -->";
?>
		<td valign=top>
<?
		$domain_name = "";
		$pt = new parsePipe();
		$test = $pt->nullTrim($test);
		$tmpArr = $pt->textArr($test);
		$serviceName = $pt->serviceName($test);
		$result = $pt->parseIt($tmpArr[$serviceType]);
		$tot_tr = $pt->countIt();
		
		echo "			<table border=1 cellpadding=0 cellspacing=0>\n";
		echo "				<tr align=center>\n";
		for($k=0; $k<sizeof($serviceName); $k++) {
			echo "				<td width='100' height='35'>\n";
			echo "				<font size='2'>";
			if($serviceName[$k][1] != "dead") {
				echo "<img src=images/bu14.gif width=11 height=11>";
			} else {
				echo "<img src=images/bu15.gif width=11 height=11>";
			}
			echo "				<a href='".$_SERVER['PHP_SELF']."?service_type=".$k."'>";
			if($serviceType==$k) echo "<b>";
			switch($serviceName[$k][0]){
				case 'INCOK' : 
					echo "TRINEX";
					//$domain_name = $serviceName[$k][2];
					break;
				default :
					echo $serviceName[$k][0];
					//$domain_name = $serviceName[$k][2];
			}
			
			if($serviceType==$k) echo "</b>";
			echo "				</a>";
			echo "					</font>";
			switch($serviceName[$k][0]){
				case '0UDISK' : echo "<br>(BD-RC01)"; break;
				case 'SORIBADA' : echo "<br>(BD-RC02)"; break;
				case 'RC003' : echo "<br>(BD-RC03)"; break;
				case 'RC004' : echo "<br>(BD-RC04)"; break;
				case 'ORGEL' : echo "<br>(BD-RC07)"; break;
				case 'EVENT' : echo "<br>(BD-RC05)"; break;
				case 'NCSOFT' : echo "<br>(BD-RC08)"; break;
				case 'KTINSIDE' : echo "<br>(BD-RC06)"; break;
				case 'FREEZONE' : echo "<br>(NS-RC01)"; break;
				case 'CACHE' : echo "<br>(BD-RC04)"; break;
				case 'CACHE2' : echo "(NS-RC02)"; break;
				case 'JJANGHARD' : echo "(NS-RC03)"; break;
				case 'INCOK' : echo "<br>(NS-RC04)"; break;
				case 'OLSOFT' : echo "<br>(NS-RC02)"; break;
				default : 
			}
			echo "				</td>\n";	
		}
		echo "				</tr>\n";
		echo "			</table>\n";
		?>		
			<table border=1 cellpadding=1 cellspacing=0>
			<tr height="60">
				<td colspan="14">
				<center><b>
				<font color="#000066" size="5">
					<?switch($serviceName[$serviceType][0]){
           				case 'EVENT' : echo "EVENT (KTH PARAN)"; break;
           				case 'INCOK' : echo "TRINEX"; break;
                			default : 
                            echo $serviceName[$serviceType][0];
            			}
					?>
					<br><br>
				</font>
				<font color="#000066" size="4">
					MNG SERVER IP: <?=$server_addr[$i][0]?>,&nbsp;&nbsp;  PORT: <?=$server_addr[$i][1]?> 
					(<?=$server_addr[$i][2]?>)
				</font>
				</b>
				</center>
				</td>
			</tr>
			<tr align="center">
				<td width="75"><center><b><font color="#000066">Name</font></b></center></td>
				<td width="90"><center><b><font color="#000066">Server IP</font></b></center></td>
				<td width="25"><center><b><font color="#000066">Port</font></b></center></td>
				<td width="85"><center><b><font color="#000066">Status<br>Changed</font></b></center></td>
				<td width="85"><center><b><font color="#000066">Disk<br>Checked</font></b></center></td>
				<td width="110"><center><b><font color="#000066">Domain<br>(<?=$serviceName[$serviceType][2] ?>)</font></b></center></td>
				<td width="65"><center><b><font color="#000066">Total Disk</font></b></center></td>
				<td width="65"><center><b><font color="#000066">Used</font></b></center></td>
				<td width="65"><center><b><font color="#000066">Free</font></b></center></td>
				<td width="25"><center><b><font color="#000066">Upload</font>
					<img src="images/bu14.gif" width=11 height=11>norm<br>
					<img src="images/bu16_1.gif" width=11 height=11>disb<br>
					<img src="images/bu15.gif" width=11 height=11>fsck<br>
					</b>
					</center>
				</td>
				<td width="50"><center><b><font color="#000066">Disk Busy(Lq)</font></b></center></td>
				<td width="100"><center><b><font color="#000066">Traffic INB(Packets)</font></b></center></td>
				<td width="100"><center><b><font color="#000066">Traffic OUTB(Packets)</font></b></center></td>
				<td width="50"><center><b><font color="#000066">Conn EASTAB(TOT)</font></b></center></td>
			</tr>
				<?	
				
				$totalDisk = 0;
				$freeDisk = 0;
				$usedDisk = 0;
				$totalRTSCount = 0;
				$totalTrafficINB = 0;
				$totalPacketsINB = 0;
				$totalTrafficOUTB = 0;
				$totalPacketsOUTB = 0;
				$totalConnEstab = 0;
				$totalConnAll = 0;
				for($j=0; $j<$tot_tr; $j++){
						$add_alt = "";
						if (!strcmp($result[$j][20], "99FFFF")) {
							$add_alt = " (UPLOAD TARGET)";
						} else if ($result[$j][10] == 1) {
							$add_alt = " (UPLOAD MANUALLY DISABLED)";
						} else if ($result[$j][10] == 2) {
							$add_alt = " (FSCK RUNNING)";
						} else {
							$add_alt = "";
						}
						$alt_str =
								"[NAME] : ".
								$result[$j][2].
								" [STATUS] : ".
								$pt->translateIt($result[$j][0], 2).$add_alt.
								" [TYPE] : ".
								$pt->translateIt($result[$j][1], 0);
						$totalDisk += $result[$j][8];
						$freeDisk += $result[$j][9];
						$usedDisk += ($result[$j][8] - $result[$j][9]);

						$result_used = 0;
						$result_used = $result[$j][8] - $result[$j][9];
						if ($result_used == 0)
							$result_used = "-";
	
						if ($result[$j][1] == 2) {
							$totalRTSCount += 1;
						}

						/* Packets INB */
						if ($result[$j][16] != '-') {
							$totalPacketsINB += $result[$j][16];
						}
						/* Traffic INB */
						if ($result[$j][17] != '-') {
							$totalTrafficINB += $result[$j][17];
						}
						/* Packets OUTB */
						if ($result[$j][18] != '-') {
							$totalPacketsOUTB += $result[$j][18];
						}
						/* Traffic OUTB */
						if ($result[$j][19] != '-') {
							$totalTrafficOUTB += $result[$j][19];
						}
						/* Connection Estblished */
						if ($result[$j][14] != '-') {
							$totalConnEstab += $result[$j][14];
						}
						/* Connection All */
						if ($result[$j][15] != '-') {
							$totalConnAll += $result[$j][15];
						}
				  ?>
				<span onmouseover="showtip('<?=$alt_str?>');" onmouseout="hidetip();">
					<tr>
						<td><?=$pt->translateIt($result[$j][0],1)?>&nbsp;<? /* =$pt->translateIt($result[$j][1],999) */ ?>&nbsp;<?=$pt->tailer($result[$j][2])?></td>
						<td align="center"><?=$result[$j][3]?></td>
						<td align="center"><?=$pt->translateIt($result[$j][4],4)?></td>
						<td align="center"><?=$pt->noYear(date("Y-m-d H:i:s", $result[$j][5]))?></td>
						<td align="center">
							<?
							if ($result[$j][6] == "-" || $result[$j][6] == "") {
								echo "-";
							} else {
								echo $pt->noYear(date("Y-m-d H:i:s", $result[$j][6]));
							}
							?></td>
						<td align="center"><?
						echo str_replace(".".$serviceName[$serviceType][2], "", $pt->translateIt($result[$j][7],7));
						?></td>
						<td align="center"><?=$pt->translateIt($result[$j][8],8)?></td>
						<td align="center"><?=$pt->translateIt($result_used,8)?></td>
						<td align="center" bgcolor="<?=$pt->translateIt($result[$j][20],100)?>"><?=$pt->translateIt(trim($result[$j][9]), 8)?></td>
						<td align="center">
						<?	if ($result[$j][10] == '-') {
								echo "-";
							} else if ($result[$j][10] == 0 &&
									$result[$j][11] == 0 &&
									$result[$j][12] == 0 &&
									$result[$j][13] == 0 &&
									$result[$j][14] == 0 &&
									$result[$j][15] == 0 &&
									$result[$j][16] == 0 &&
									$result[$j][17] == 0 &&
									$result[$j][18] == 0 &&
									$result[$j][19] == 0) {
								echo "-";
							} else {
						?>
						<?=$pt->translateIt($result[$j][10],10)?>
						<?
							if ($result[$j][11] > 2) {
								echo "<font color=\"red\"><b>";
							} else if ($result[$j][11] == 2) {
								echo "<font color=\"blue\"><b>";
							} else if ($result[$j][11] == 1) {
								echo "<font color=\"black\"><b>";
							} else {
								echo "<font color=\"black\">";
							}
						?>
						<?=$result[$j][11]?>
						</font>
						<? } ?>
						<td align="center">
						<?	if ($result[$j][12] == '-') {
								echo "-";
							} else if ($result[$j][10] == 0 &&
									$result[$j][11] == 0 &&
									$result[$j][12] == 0 &&
									$result[$j][13] == 0 &&
									$result[$j][14] == 0 &&
									$result[$j][15] == 0 &&
									$result[$j][16] == 0 &&
									$result[$j][17] == 0 &&
									$result[$j][18] == 0 &&
									$result[$j][19] == 0) {
								echo "-";
							} else {
						?>
						<?
							if ($result[$j][12] >= 20) {
								echo "<font color=\"red\"><b>";
							} else if ($result[$j][12] >= 10) {
								echo "<font color=\"blue\"><b>";
							} else {
								echo "<font color=\"black\">";
							}
						?>
						<?=$result[$j][13]?>%(<?=$result[$j][12]?>)</td>
						<?
							echo "</font>";
						?>
						<? } ?>
						<td align="center">
						<?	if ($result[$j][17] == '-') {
								echo "-";
							} else if ($result[$j][10] == 0 &&
									$result[$j][11] == 0 &&
									$result[$j][12] == 0 &&
									$result[$j][13] == 0 &&
									$result[$j][14] == 0 &&
									$result[$j][15] == 0 &&
									$result[$j][16] == 0 &&
									$result[$j][17] == 0 &&
									$result[$j][18] == 0 &&
									$result[$j][19] == 0) {
								echo "-";
							} else {
						?>
						<?=$pt->translateIt($result[$j][17],3)?>(<?=$result[$j][16]?>)</td>
						<? } ?>
						<td align="center">
						<?	if ($result[$j][19] == '-') {
								echo "-";
							} else if ($result[$j][10] == 0 &&
									$result[$j][11] == 0 &&
									$result[$j][12] == 0 &&
									$result[$j][13] == 0 &&
									$result[$j][14] == 0 &&
									$result[$j][15] == 0 &&
									$result[$j][16] == 0 &&
									$result[$j][17] == 0 &&
									$result[$j][18] == 0 &&
									$result[$j][19] == 0) {
								echo "-";
							} else {
						?>
						<?=$pt->translateIt($result[$j][19],3)?>(<?=$result[$j][18]?>)</td>
						<? } ?>
						<td align="center">
						<?	if ($result[$j][14] == '-') {
								echo "-";
							} else if ($result[$j][10] == 0 &&
									$result[$j][11] == 0 &&
									$result[$j][12] == 0 &&
									$result[$j][13] == 0 &&
									$result[$j][14] == 0 &&
									$result[$j][15] == 0 &&
									$result[$j][16] == 0 &&
									$result[$j][17] == 0 &&
									$result[$j][18] == 0 &&
									$result[$j][19] == 0) {
								echo "-";
							} else {
						?>
						<?
							if ($result[$j][14] >= 100) {
								echo "<font color=\"red\"><b>";
							} else if ($result[$j][14] >= 50) {
								echo "<font color=\"blue\"><b>";
							} else {
								echo "<font color=\"black\">";
							}
						?>
						<?=$result[$j][14]?>(<?=$result[$j][15]?>)
						<?
							echo "</font>";
						?>
						<? } ?>
						</td>
					</tr>
				</span>
				<?
				}
				?>
					<tr>
						<td align="center" colspan="4">&nbsp;</b></td>
						<td align="center" colspan="1"><b>Storage Total</b></td>
						<td align="center" colspan="1"><b>RTS Total : <?=$totalRTSCount?></b></td>
						<td align="center"><?= ($totalDisk == "") ? "-" : $pt->translateIt($totalDisk, 9)?></td>
						<td align="center"><?= ($totalDisk == "") ? "-" : $pt->translateIt($usedDisk, 9)?></td>
						<td align="center"><?= ($totalDisk == "") ? "-" : $pt->translateIt($freeDisk, 9)?></td>
						<td align="center" colspan="2"><b>Network Total</b></td>
						<td align="center" colspan="1">
						<? if ($totalTrafficINB > 0) { ?>
						<?=$pt->translateIt($totalTrafficINB,30)?>B(<?=$pt->translateIt($totalPacketsINB,30)?>p)
						<? } else { ?>
							-
						<? } ?>
						</td>
						<td align="center" colspan="1">
						<? if ($totalTrafficOUTB > 0) { ?>
						<?=$pt->translateIt($totalTrafficOUTB,30)?>B(<?=$pt->translateIt($totalPacketsOUTB,30)?>p)
						<? } else { ?>
							-
						<? } ?>
						</td>
						<td align="center" colspan="1">
						<? if ($totalConnEstab > 0) { ?>
						<?=$totalConnEstab?>(<?=$totalConnAll?>)
						<? } else { ?>
							-
						<? } ?>
						</td>
					</tr>
	
			</table></td>
			<?
			if($i%3 == 2) echo "</table></tr>"; //
		}
		?>
	<table>
	</table>
	<?

////////////////////
//Print REFRESHER
////////////////////

extract($_POST);

$refresh_rate = $_REQUEST['refresh_rate'];

if($refresh_rate<1 || $refresh_rate>1000)
	$refresh_rate = 60;

?>
<br>
<table align="center">
	<tr>
	<td>
		
			Refresh Rate :
			<input type=text name=refresh_rate value=<?=$refresh_rate?>>
			<input type=submit value=SET>
			(MIN : 1, MAX : 1000)
			<input type="hidden" name="chk" value="0">
		</form>
	</td>
	</tr><tr>
	<td align=right>
		<form action=<?=$_SERVER['PHP_SELF']?> method=POST>
			<input type="hidden" name="service_type" value="<?= $serviceType?>">
			<input type=hidden name=refresh_rate value=30>
			<input type=submit value=RESET(30)>
		</form>
	</td>
	</tr>
</table>
<script language="javascript"  type="text/javascript" src="tooltip.js" ></script>
<script language=javascript>
function showtip(text) {
tooltip.innerText=text; 
tooltip.style.display="inline";
}
function hidetip() {
tooltip.style.display="none";
}
function movetip() {
tooltip.style.pixelTop=event.y+document.body.scrollTop; 
tooltip.style.pixelLeft=event.x+document.body.scrollLeft + 10;
}
document.onmousemove=movetip;
</script>
</body>
</html>
<META http-equiv="refresh" content="<?=$refresh_rate?>; url=<?=$PHP_SELF?>?refresh_rate=<?=$refresh_rate?>&service_type=<?= $serviceType ?>"> 
<?
########
#CLASSES
########
class parsePipe {
	var $tot_line;

	function parseIt($givenText){
		$cnt = 0;
		$minValue = 0;
		$maxValue = 0;
		$minLevel = 1000;
		$tmp_arr = array();
		$temp_arr = explode("\r\n", $givenText);
		$result_arr[$i][9] = "";
		$this->tot_line = count($temp_arr) == 1 ? 0 : count($temp_arr) - 1;
		for($i=0; $i < $this->tot_line; $i++){
			if($temp_arr[$i]!='') {				
				$result_arr[$i] = explode("|", $temp_arr[$i]);
				$result_arr[$i][20] = "";
				$tmp_arr[$i] = ($result_arr[$i][9] == '' || $result_arr[$i][9] == '-') ? 0 : $this->nullTrim($result_arr[$i][9]);
				$result_arr[$i][8] = $this->nullTrim($result_arr[$i][8]);
				$result_arr[$i][9] = $this->nullTrim($result_arr[$i][9]);
				$result_arr[$i][10] = $this->nullTrim($result_arr[$i][10]);

				/*
				if($result_arr[$i][9] != '-' && $result_arr[$i] != '' && $result_arr[$i] != 0) {
					if($cnt == 0) {
						$minValue = $result_arr[$i][9];
						$cnt++;
					}
					if($minValue > $result_arr[$i][9]) {
						$minValue = $result_arr[$i][9];
					}
				}
				*/
				if ($result_arr[$i][11] != '-' && $result_arr[$i] != '' && $result_arr[$i] != 0) {
					if ($minLevel > $result_arr[$i][11]) {
						$minLevel = $result_arr[$i][11];
					}
				}
			}
		}

		for ($i = 0; $i < $tot_tr; $i++) {
			if ($result_arr[$i][11] != '-' && $result_arr[$i] != '' && $result_arr[$i] != 0 && $result_arr[$i][11] <= $minLevel) {
				if($result_arr[$i][9] != '-' && $result_arr[$i] != '' && $result_arr[$i] != 0) {
					if($cnt == 0) {
						$minValue = $result_arr[$i][9];
						$cnt++;
					}
					if($minValue > $result_arr[$i][9]) {
						$minValue = $result_arr[$i][9];
					}
				}
			}
		}


		//echo "minLevel $minLevel minValue $minValue<br>";
		$cnt = 0;
		arsort($tmp_arr);
		reset($tmp_arr);

		while (list ($key, $val) = each ($tmp_arr)) {
			//echo "$key = $val<br>";
			if($val != 0) {
				if($cnt == 0) {
					if ($minLevel < $result_arr[$key][11] ||
							$result_arr[$key][10] > 0) {
						$result_arr[$key][20] = "yellow";//$maxValue;
					} else {
						//echo "11 ".$result_arr[$key][11]." 10 ".$result_arr[$key][10]."<br>";
						$maxValue = $val;
						$result_arr[$key][20] = "99FFFF";
						$cnt++;
					}
				} else {
					//if($minValue == $val) {
					if($val < (2 * 1024 * 1024 * 1024 * 10)) {
						$result_arr[$key][20] = "red";
					} else if(($maxValue - $val) < (1024 * 1024 * 1024) &&
							$minLevel == $result_arr[$key][11]) {
						//echo "1GB Highed<br>";
						//echo "minLevel $minLevel maxValue $maxValue<br>";
						$result_arr[$key][20] = "99FFFF";
					} else {
						//echo "1GB Lowed<br>";
						$result_arr[$key][20] = "yellow";//$maxValue;
					}
				}
			} else {
				$result_arr[$key][20] = "white";
			}
		}
		return $result_arr;
	}

	function countIt(){
		return $this->tot_line;
	}

	function translateIt($parsedText, $type){
		if($parsedText == '') return;

		$eServerType = array('RC', 'STAT', 'RTS', 'RCTS', 'RCDB', 'WWW', 'CCDB');
		/*$eStatus = array('<img src=images/bu16_1.gif width=11 height=11>UNKNOWN',
						'<img src=images/bu14.gif width=11 height=11>ALIVE',
						'<img src=images/bu15.gif width=11 height=11>DEAD');*/
		
		$eStatus = array('<img src=images/bu16_1.gif width=11 height=11>',
						'<img src=images/bu14.gif width=11 height=11>',
						'<img src=images/bu15.gif width=11 height=11>');
		$eStatusUP = array('<img src=images/bu14.gif width=11 height=11>',
						'<img src=images/bu16_1.gif width=11 height=11>',
						'<img src=images/bu15.gif width=11 height=11>');
		$eStatusChar = array('UNKNOWN', 'ALIVE', 'DEAD');
		switch($type){
			case 0:
				return $eServerType[$parsedText];
				return '';
			case 1:
				return $eStatus[$parsedText];
			case 2:
				return $eStatusChar[$parsedText];
			case 3:
				if(trim($parsedText) == "-" || $parsedText == "" ) return "-";
				else {
					if (trim($parsedText) / 1024 / 1024 > 1024) {
						return sprintf("<b>%.2fGB</b>",
								trim($parsedText) / 1024 / 1024 / 1024 );
					} else  {
						if (trim($parsedText) / 1024 > 1024) {
							if (trim($parsedText) / 1024 / 1024 > 10) {
								return sprintf("<font color=\"blue\"><b>%.2fMB</b></font>",
										trim($parsedText) / 1024 / 1024 );
							} else {
								return sprintf("<b>%.2fMB</b>",
										trim($parsedText) / 1024 / 1024 );
							}
						} else {
							if (trim($parsedText) > 1024) {
								return sprintf("%.2fKB",
										trim($parsedText) / 1024 );
							} else {
								return sprintf("%dB",
										trim($parsedText));
							}
						}
					}
				}
			case 8:			
				if(trim($parsedText) == "-" || $parsedText == "") return "-";
				else return sprintf("%.2lfG", (trim($parsedText) / 1024) / 1024 / 1024);
			case 9:
				if(trim($parsedText) == "-" || $parsedText == "" ) return "-";
				else {
					if (trim($parsedText) / 1024 / 1024 / 1024 > 1024) {
						return sprintf("%.2fT", trim($parsedText) / 1024 / 1024 / 1024 / 1024);
					} else 
						return sprintf("%.2fG", trim($parsedText) / 1024 / 1024 / 1024);
				}
			case 10:
				return $eStatusUP[$parsedText];
			case 30:
				if(trim($parsedText) == "-" || $parsedText == "" ) return "-";
				else {
					if (trim($parsedText) / 1024 / 1024 > 1024) {
						return sprintf("%.2fG",
								trim($parsedText) / 1024 / 1024 / 1024 );
					} else  {
						if (trim($parsedText) / 1024 > 1024) {
							return sprintf("%.2fM",
									trim($parsedText) / 1024 / 1024 );
						} else {
							if (trim($parsedText) > 1024) {
								return sprintf("%.2fK",
										trim($parsedText) / 1024 );
							} else {
								return sprintf("%d",
										trim($parsedText));
							}
						}
					}
				}
			default:
				return $parsedText;
		}
	}

	function nullTrim($tmp_str)
	{
		$return_str = "";
		$maxLength = strlen($tmp_str);

		for($i=0 ; $i < $maxLength ; $i++) {
			if(ord(substr($tmp_str, $i, 1)) != 0 || $tmp_str != " ") {
				$return_str .= substr($tmp_str, $i, 1);
			}
		}
		return $return_str;
	}
	
	function textArr($text)
	{		
		$cnt = -1;
		$tmp_cnt = 0;
		$str_arr = array();
		$tmp_search_str = "";
		$temp_arr = explode("\r\n", $text);		
		
		for($i=0; $i<sizeof($temp_arr); $i++) {
			$split_str = explode("|", $temp_arr[$i]);						
			$search_str = explode("_", $split_str[2]);
			if($tmp_search_str != $search_str[0]) {
				$tmp_search_str = $search_str[0];															
				//$str_arr[$cnt][30] = $search_str[0];
				//echo $str_arr[$cnt][0]."<br>".$tmp_search_str."->".$cnt."<-"."<br>";
				$cnt++;
			}
			$str_arr[$cnt] .= $temp_arr[$i]."\r\n";
			
		}			
		return $str_arr;
	}
	
	function serviceName($text)
	{		
		$cnt = -1;
		$tmp_cnt = 0;
		$str_arr = array();
		$tmp_search_str = "";
		$temp_arr = explode("\r\n", $text);		
		
		for($i=0; $i<sizeof($temp_arr); $i++) {
			$split_str = explode("|", $temp_arr[$i]);						
			$search_str = explode("_", $split_str[2]);
			
			if(($tmp_search_str != $search_str[0])) {
				$tmp_search_str = $search_str[0];																			
				$cnt++;
			}
			$str_arr[$cnt][0] = $tmp_search_str;

			if(($tmp_search_str == $search_str[0]) && $split_str[7] != "-") {
				$a = explode(".",  $split_str[7]);
				if(!strncmp($a[3], "kr", 2)) {
					$b = $a[1].".".$a[2]."."."kr";
				} else if(!strncmp($a[2], "com", 3)) {
					$b = $a[1]."."."com";
				}
				$str_arr[$cnt][2] = $b;
			}
			if($split_str[0] == 2) {
				$str_arr[$cnt][1] = "dead";
			}
			//	$str_arr[4][1] = "dead";
			//	$str_arr[1][1] = "dead";
		}	
		return $str_arr;
	}
	
	function tailer($name)
	{
		$temp_arr = explode("_", $name);		
		$temp_arr2 = substr($name, strlen($temp_arr[0]) + 1, strlen($name));
		return $temp_arr2;
	}
	
	function noYear($date)
	{
		$date = substr($date, 5, 14);

		return $date;
	}
}

?>
